Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.adapter
Class AdapterFactory

    java.lang.Object
      org.flexdock.docking.adapter.AdapterFactory

    public class AdapterFactory

extends Object

A factory for transforming `Component`s into a class that contains information about the component that is necessary for treating the component as a `Dockable`.

Author:
  Christopher Butler, Karl Schaefer

Field Summary
`static String` | `ADAPTER_RESOURCE_KEY` A property key for determining whichi docking adapter to use.
`static String` | `DEFAULT_ADAPTER_RESOURCE` Deprecated. Scope is likely to become more restrictive (protected or private).

Constructor Summary
`AdapterFactory()`

Method Summary
`static DockingAdapter` | `getAdapter(Component comp)` Creates the `DockingAdapter` for the given `Component`.
`static void` | `prime()` Loads the mappings for this factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADAPTER_RESOURCE_KEY

    public static final String ADAPTER_RESOURCE_KEY

  A property key for determining whichi docking adapter to use.

  See Also:
    Constant Field Values

### DEFAULT_ADAPTER_RESOURCE

    public static final String DEFAULT_ADAPTER_RESOURCE

  Deprecated. Scope is likely to become more restrictive (protected or private).
  A constant representing the relative URI to the default docking adapter.

  See Also:
    Constant Field Values

Constructor Detail

### AdapterFactory

    public AdapterFactory()

Method Detail

### prime

    public static void prime()

  Loads the mappings for this factory.

### getAdapter

    public static DockingAdapter getAdapter(Component comp)

  Creates the `DockingAdapter` for the given `Component`.

  Parameters:
    `comp` - the component to create an adapter for.
  Returns:
    a docking adapter, or `null` if `comp` is null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD